GNU bug report logs - #12921
24.2.50; resizing backtrace buffer not persistent (again)

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Severity: minor; Reported by: michael_heerdegen@HIDDEN; dated Sun, 18 Nov 2012 03:16:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 12921 <at> debbugs.gnu.org:


Received: (at 12921) by debbugs.gnu.org; 19 Nov 2012 08:04:23 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Nov 19 03:04:23 2012
Received: from localhost ([127.0.0.1]:54225 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1TaML8-0005gI-G3
	for submit <at> debbugs.gnu.org; Mon, 19 Nov 2012 03:04:23 -0500
Received: from mailout-de.gmx.net ([213.165.64.22]:33742)
	by debbugs.gnu.org with smtp (Exim 4.72)
	(envelope-from <rudalics@HIDDEN>) id 1TaML6-0005gA-5h
	for 12921 <at> debbugs.gnu.org; Mon, 19 Nov 2012 03:04:21 -0500
Received: (qmail invoked by alias); 19 Nov 2012 08:02:05 -0000
Received: from 62-47-55-108.adsl.highway.telekom.at (EHLO [62.47.55.108])
	[62.47.55.108]
	by mail.gmx.net (mp034) with SMTP; 19 Nov 2012 09:02:05 +0100
X-Authenticated: #14592706
X-Provags-ID: V01U2FsdGVkX18tnddIQJ8t/WWvXyaBr6UGxDhdT2TEhcYmHK1CGG
	HmOJwkBfOgz7gr
Message-ID: <50A9E772.6080009@HIDDEN>
Date: Mon, 19 Nov 2012 09:01:54 +0100
From: martin rudalics <rudalics@HIDDEN>
MIME-Version: 1.0
To: Michael Heerdegen <michael_heerdegen@HIDDEN>
Subject: Re: bug#12921: 24.2.50; resizing backtrace buffer not persistent
	(again)
References: <87r4nr4n6h.fsf@HIDDEN> <50A8C854.1000302@HIDDEN>
	<87sj86e97l.fsf@HIDDEN>
In-Reply-To: <87sj86e97l.fsf@HIDDEN>
Content-Type: text/plain; charset=ISO-8859-15; format=flowed
Content-Transfer-Encoding: 7bit
X-Y-GMX-Trusted: 0
X-Spam-Score: 0.8 (/)
X-Debbugs-Envelope-To: 12921
Cc: 12921 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: 0.8 (/)

 >> You mean a patch like the below?
 >
 > Exactly.  Objections against applying?

I can do it on the trunk, once it has reached a fairly stable state
again.  If someone complains, we can always customize it.

 >> Note that I have no idea how the debugger should behave when the
 >> window layout is changed by the debugged code.
 >
 > Dunno if it's worth trying to optimize the code for that.  If I want to
 > debug such code, I can just use a different frame for the debugger.

OK.

 > Martin, if you have some time, could you maybe also have a look at what
 > I wrote about 10025 in <87txsn4pjk.fsf@HIDDEN>?  If I understood things
 > right and we are lucky, the number of debugger frames in the backtrace
 > has just decreased by 1 due to some change in the past, and the only
 > thing to do is to decrease the appropriate hardcoded numbers in `debug'
 > as well.  By "debugger frames" I mean the frames belonging to the code
 > that is added to the debugged functions in order to instrument them.
 > Note that you must recompile debug.el and load the compiled code to see
 > the right behavior, because the number of debugger frames is different
 > if the debugger is run as uncompiled code.

Never using `debug-on-entry', I'm hardly qualified to comment on this.
Someone would simply have to find the change that broke it.  All I can
say is that it apparently worked for a build in 2009.  Could you try
bisecting?

I also dont understand whether and how bugs #6209 and #9462 are related
to the current issue (IIUC #6209 was never fixed and I don't understand
why it was archived).

martin




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#12921; Package emacs. Full text available.

Message received at 12921 <at> debbugs.gnu.org:


Received: (at 12921) by debbugs.gnu.org; 19 Nov 2012 00:19:12 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Nov 18 19:19:12 2012
Received: from localhost ([127.0.0.1]:53760 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1TaF4u-0003Rk-3i
	for submit <at> debbugs.gnu.org; Sun, 18 Nov 2012 19:19:11 -0500
Received: from mout.web.de ([212.227.17.11]:64498)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <michael_heerdegen@HIDDEN>) id 1TaF4o-0003RY-JR
	for 12921 <at> debbugs.gnu.org; Sun, 18 Nov 2012 19:19:06 -0500
Received: from drachen.dragon ([89.204.139.66]) by smtp.web.de (mrweb003) with
	ESMTPA (Nemesis) id 0Md4le-1TsJuU04LS-00IM2C;
	Mon, 19 Nov 2012 01:18:00 +0100
From: Michael Heerdegen <michael_heerdegen@HIDDEN>
To: martin rudalics <rudalics@HIDDEN>
Subject: Re: bug#12921: 24.2.50;
	resizing backtrace buffer not persistent (again)
References: <87r4nr4n6h.fsf@HIDDEN> <50A8C854.1000302@HIDDEN>
Date: Mon, 19 Nov 2012 01:18:38 +0100
In-Reply-To: <50A8C854.1000302@HIDDEN> (martin rudalics's message of "Sun, 18
	Nov 2012 12:36:52 +0100")
Message-ID: <87sj86e97l.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.2.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Provags-ID: V02:K0:KhjHWUlXZrNJa39605AJ8o2VskU/nbN5TApBPtXVOgP
	tekdz2GMip/gcGQMj/1QOyb0fG2pfX3OeiAtc4p/6dGjVKWO27
	/RCQMViFWi1T4Z+PXSDHLHsFQDMlsrRPdgkPe1jBE1OTlHojZD
	QbbGtUB36itdUBt9swRhUbaemHzSMwxJXRHgu5AO0md0k7YCIy
	CtcCyO1tfp7PP53LhEYd7doZ2jwX2E1CK9dYdGvv00=
X-Spam-Score: 1.2 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
	has
	identified this incoming email as possible spam. The original message
	has been attached to this so you can view it (if it isn't spam) or
	label similar future email.  If you have any questions, see
	the administrator of that system for details.
	Content preview: martin rudalics writes: > You mean a patch like the
	below? Exactly. Objections against applying? [...] 
	Content analysis details:   (1.2 points, 10.0 required)
	pts rule name              description
	---- ----------------------
	--------------------------------------------------
	0.0 FREEMAIL_FROM Sender email is commonly abused enduser mail provider
	(michael_heerdegen[at]web.de)
	0.8 RCVD_IN_SORBS_WEB RBL: SORBS: sender is an abusable web server
	[89.204.139.66 listed in dnsbl.sorbs.net]
	-0.0 RCVD_IN_DNSWL_NONE RBL: Sender listed at http://www.dnswl.org/,
	no trust [212.227.17.11 listed in list.dnswl.org]
	-0.4 RP_MATCHES_RCVD Envelope sender domain matches handover relay
	domain
	0.8 BAYES_50               BODY: Bayes spam probability is 40 to 60%
	[score: 0.5000]
X-Debbugs-Envelope-To: 12921
Cc: 12921 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: 1.2 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org", has
 identified this incoming email as possible spam.  The original message
 has been attached to this so you can view it (if it isn't spam) or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  martin rudalics writes: > You mean a patch like the below?
    Exactly. Objections against applying? [...] 
 
 Content analysis details:   (1.2 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
  0.8 RCVD_IN_SORBS_WEB      RBL: SORBS: sender is an abusable web server
                             [89.204.139.66 listed in dnsbl.sorbs.net]
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at http://www.dnswl.org/, no
                             trust
                             [212.227.17.11 listed in list.dnswl.org]
  0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail provider
                             (michael_heerdegen[at]web.de)
 -0.4 RP_MATCHES_RCVD        Envelope sender domain matches handover relay domain
  0.8 BAYES_50               BODY: Bayes spam probability is 40 to 60%
                             [score: 0.5000]

martin rudalics <rudalics@HIDDEN> writes:

> You mean a patch like the below?

Exactly.  Objections against applying?

> Note that I have no idea how the debugger should behave when the
> window layout is changed by the debugged code.

Dunno if it's worth trying to optimize the code for that.  If I want to
debug such code, I can just use a different frame for the debugger.

Martin, if you have some time, could you maybe also have a look at what
I wrote about 10025 in <87txsn4pjk.fsf@HIDDEN>?  If I understood things
right and we are lucky, the number of debugger frames in the backtrace
has just decreased by 1 due to some change in the past, and the only
thing to do is to decrease the appropriate hardcoded numbers in `debug'
as well.  By "debugger frames" I mean the frames belonging to the code
that is added to the debugged functions in order to instrument them.
Note that you must recompile debug.el and load the compiled code to see
the right behavior, because the number of debugger frames is different
if the debugger is run as uncompiled code.


Regards, thanks,

Michael.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#12921; Package emacs. Full text available.

Message received at 12921 <at> debbugs.gnu.org:


Received: (at 12921) by debbugs.gnu.org; 18 Nov 2012 11:38:02 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Nov 18 06:38:02 2012
Received: from localhost ([127.0.0.1]:52277 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Ta3CL-0000Pe-Kh
	for submit <at> debbugs.gnu.org; Sun, 18 Nov 2012 06:38:02 -0500
Received: from mailout-de.gmx.net ([213.165.64.23]:59472)
	by debbugs.gnu.org with smtp (Exim 4.72)
	(envelope-from <rudalics@HIDDEN>) id 1Ta3CJ-0000OP-Ix
	for 12921 <at> debbugs.gnu.org; Sun, 18 Nov 2012 06:38:00 -0500
Received: (qmail invoked by alias); 18 Nov 2012 11:37:01 -0000
Received: from 62-47-48-54.adsl.highway.telekom.at (EHLO [62.47.48.54])
	[62.47.48.54]
	by mail.gmx.net (mp017) with SMTP; 18 Nov 2012 12:37:01 +0100
X-Authenticated: #14592706
X-Provags-ID: V01U2FsdGVkX1/n4nkdoB3n9hxxBjvw6loHS3bwuiic4wKN2Hsaiu
	z71DvG63kZQR43
Message-ID: <50A8C854.1000302@HIDDEN>
Date: Sun, 18 Nov 2012 12:36:52 +0100
From: martin rudalics <rudalics@HIDDEN>
MIME-Version: 1.0
To: michael_heerdegen@HIDDEN
Subject: Re: bug#12921: 24.2.50; resizing backtrace buffer not persistent
	(again)
References: <87r4nr4n6h.fsf@HIDDEN>
In-Reply-To: <87r4nr4n6h.fsf@HIDDEN>
Content-Type: text/plain; charset=ISO-8859-15; format=flowed
Content-Transfer-Encoding: 7bit
X-Y-GMX-Trusted: 0
X-Spam-Score: 0.8 (/)
X-Debbugs-Envelope-To: 12921
Cc: 12921 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: 0.8 (/)

 > In emacs -Q, type M-x debug.  The frame gets split vertically.  The
 > window below displays *Backtrace*.  But dragging the mode-line in the
 > middle doesn't resize the window persistently when you step in the
 > debugger.
 >
 > Resizing is performed here in these lines of `debug':
 >
 >       (if (eq debugger-previous-window debugger-window)
 > 	  (when debugger-jumping-flag
 > 	    ;; Try to restore previous height of debugger
 > 	    ;; window.
 > 	    (condition-case nil
 > 		(window-resize
 > 		 debugger-window
 > 		 (- debugger-previous-window-height
 > 		    (window-total-size debugger-window)))
 > 	      (error nil)))
 > 	(setq debugger-previous-window debugger-window))
 >
 > However, in the above case, (eq debugger-previous-window
 > debugger-window) is never true, probably because the vertical splitting
 > into two windows is performed and undone on each step.
 >
 > Would it be harmful to perform resizing unconditionally?  This fixes
 > the problem for me, but I'm not sure if it could be harmful in certain
 > situations.  OTOH, if the window was created newly when the debugger had
 > been reentered, we already changed the window layout, so forcing a
 > certain size should not be dangerous, in general.

You mean a patch like the below?  Note that I have no idea how the
debugger should behave when the window layout is changed by the debugged
code.

martin


*** lisp/emacs-lisp/debug.el	2012-11-11 01:16:25 +0000
--- lisp/emacs-lisp/debug.el	2012-11-18 09:55:27 +0000
***************
*** 228,247 ****
   	       debugger-buffer
   	       `((display-buffer-reuse-window
   		  display-buffer-in-previous-window)
! 		  . (,(when debugger-previous-window
! 			`(previous-window . ,debugger-previous-window)))))
   	      (setq debugger-window (selected-window))
! 	      (if (eq debugger-previous-window debugger-window)
! 		  (when debugger-jumping-flag
! 		    ;; Try to restore previous height of debugger
! 		    ;; window.
! 		    (condition-case nil
! 			(window-resize
! 			 debugger-window
! 			 (- debugger-previous-window-height
! 			    (window-total-size debugger-window)))
! 		      (error nil)))
! 		(setq debugger-previous-window debugger-window))
   	      (debugger-mode)
   	      (debugger-setup-buffer debugger-args)
   	      (when noninteractive
--- 228,246 ----
   	       debugger-buffer
   	       `((display-buffer-reuse-window
   		  display-buffer-in-previous-window)
! 		 . (,(when debugger-previous-window
! 		       `(previous-window . ,debugger-previous-window)))))
   	      (setq debugger-window (selected-window))
! 	      (when debugger-jumping-flag
! 		;; Try to restore previous height of debugger
! 		;; window.
! 		(condition-case nil
! 		    (window-resize
! 		     debugger-window
! 		     (- debugger-previous-window-height
! 			(window-total-size debugger-window)))
! 		  (error nil)))
! 	      (setq debugger-previous-window debugger-window)
   	      (debugger-mode)
   	      (debugger-setup-buffer debugger-args)
   	      (when noninteractive





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#12921; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 18 Nov 2012 03:15:19 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Nov 17 22:15:19 2012
Received: from localhost ([127.0.0.1]:51776 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1TZvLq-0005gr-BC
	for submit <at> debbugs.gnu.org; Sat, 17 Nov 2012 22:15:19 -0500
Received: from eggs.gnu.org ([208.118.235.92]:48897)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <michael_heerdegen@HIDDEN>) id 1TZvLn-0005gj-0S
	for submit <at> debbugs.gnu.org; Sat, 17 Nov 2012 22:15:16 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <michael_heerdegen@HIDDEN>) id 1TZvKq-0005ky-Ee
	for submit <at> debbugs.gnu.org; Sat, 17 Nov 2012 22:14:19 -0500
Received: from lists.gnu.org ([208.118.235.17]:53285)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <michael_heerdegen@HIDDEN>) id 1TZvKq-0005ku-C3
	for submit <at> debbugs.gnu.org; Sat, 17 Nov 2012 22:14:16 -0500
Received: from eggs.gnu.org ([208.118.235.92]:55805)
	by lists.gnu.org with esmtp (Exim 4.71)
	(envelope-from <michael_heerdegen@HIDDEN>) id 1TZvKn-0005oA-9R
	for bug-gnu-emacs@HIDDEN; Sat, 17 Nov 2012 22:14:16 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <michael_heerdegen@HIDDEN>) id 1TZvKk-0005ev-6o
	for bug-gnu-emacs@HIDDEN; Sat, 17 Nov 2012 22:14:13 -0500
Received: from mout.web.de ([212.227.15.3]:63900)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <michael_heerdegen@HIDDEN>) id 1TZvKj-0005dU-TU
	for bug-gnu-emacs@HIDDEN; Sat, 17 Nov 2012 22:14:10 -0500
Received: from drachen.dragon ([82.113.121.80]) by smtp.web.de (mrweb003) with
	ESMTPA (Nemesis) id 0M7ssy-1TMmAa25Fg-00vNOF for
	<bug-gnu-emacs@HIDDEN>; Sun, 18 Nov 2012 04:14:08 +0100
From: Michael Heerdegen <michael_heerdegen@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 24.2.50; resizing backtrace buffer not persistent (again)
Date: Sun, 18 Nov 2012 04:14:46 +0100
Message-ID: <87r4nr4n6h.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Provags-ID: V02:K0:vhrLjOQJg9dK7VBtO1zCbIulK2O04Z2O3D2udj2Ksu1
	/pF1tp3jInHH2lNF6hs5x2aqmhCRkFLHIjWO8+On8NtLLbJ/7t
	HPxb4LntTeWuosRomCJKAgniYPJZy+o5LN6voNlRhnlIX+tm5K
	JVPrhkxcD3i2VJzgzSCJt5iigaqGu8NQ/XWhajyS0ZrCpa1mxV
	wAeVK8EcW8ATxSzWsu+euP2GIstjmEUO8PVCxdwgtU=
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.4.x-2.6.x [generic]
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 208.118.235.17
X-Spam-Score: -4.2 (----)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
Reply-To: michael_heerdegen@HIDDEN
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -4.2 (----)

Hi,

some time ago, Martin Rudalics had written a patch so that when the
window displaying *Backtrace* is resized, the effect was persistent.
This works in general, but not in every case:

In emacs -Q, type M-x debug.  The frame gets split vertically.  The
window below displays *Backtrace*.  But dragging the mode-line in the
middle doesn't resize the window persistently when you step in the
debugger.

Resizing is performed here in these lines of `debug':

      (if (eq debugger-previous-window debugger-window)
	  (when debugger-jumping-flag
	    ;; Try to restore previous height of debugger
	    ;; window.
	    (condition-case nil
		(window-resize
		 debugger-window
		 (- debugger-previous-window-height
		    (window-total-size debugger-window)))
	      (error nil)))
	(setq debugger-previous-window debugger-window))

However, in the above case, (eq debugger-previous-window
debugger-window) is never true, probably because the vertical splitting
into two windows is performed and undone on each step.

Would it be harmful to perform resizing unconditionally?  This fixes
the problem for me, but I'm not sure if it could be harmful in certain
situations.  OTOH, if the window was created newly when the debugger had
been reentered, we already changed the window layout, so forcing a
certain size should not be dangerous, in general.


Regards,

Michael.



In GNU Emacs 24.2.50.2 (x86_64-unknown-linux-gnu, GTK+ Version 2.24.10)
 of 2012-11-17 on drachen
Bzr revision: eliz@HIDDEN
Windowing system distributor `The X.Org Foundation', version 11.0.10707000
System Description:	Debian GNU/Linux testing (wheezy)





Acknowledgement sent to michael_heerdegen@HIDDEN:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#12921; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Fri, 31 Oct 2014 17:00:04 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.